Package org.pushingpixels.substance.internal.utils.icon

# Interface TransitionAwareIcon.Delegate

Enclosing class:
  `TransitionAwareIcon`

public static interface TransitionAwareIcon.Delegate
The delegate needs to implement the method in this interface based on the provided color scheme. The color scheme is computed based on the transitions that are happening on the associated button.

## Method Summary

Modifier and Type
Method
Description
`Icon`
`getColorSchemeIcon(SubstanceColorScheme scheme)`
Returns the icon that matches the specified scheme.

## Method Details

### getColorSchemeIcon

Icon getColorSchemeIcon(SubstanceColorScheme scheme)
Returns the icon that matches the specified scheme.

Parameters:
  `scheme` - Color scheme.
Returns:
  Icon that matches the specified scheme.